ltsp-update-sshkeys(8)

NAME
ltsp-update-sshkeys - Update LTSP chroots to trust the server ssh keys

SYNOPSIS

ltsp-update-sshkeys [OPTION] [host...]

DESCRIPTION

If any hosts are specified, their SSH keys are exported in a file, by default /etc/ltsp/ssh_known_hosts.auto. Otherwise, all LTSP chroots are updated to trust the SSH keys of this server along with any additional keys in /etc/ltsp/ssh_known_hosts.* files.

OPTIONS

-b --base
    Base of ltsp chroot. Default is /opt/ltsp if unspecified.

-e --export
    File name to export the hosts SSH keys to (- for stdout). Default is /etc/ltsp/ssh_known_hosts.auto if unspecified.

-h --help
    The application help page.

-p --port
    SSH port for remote servers.

-u --update
    Update the chroot SSH keys even if hosts are specified.

SEE ALSO

ltsp-build-client(8), ltsp-update-kernels(8), ssh-keyscan(1), sshd(8).

AVAILABILITY

ltsp-update-sshkeys is part of ltsp package and the latest versions are available in source form from https://launchpad.net/ltsp.

MAN PAGE AUTHOR

Copyright 2012 Alkis Georgopoulos <alkisg@gmail.com>, distributed under the terms of the GNU General Public License version 2 or any later version.